#ifndef PROXY_H
#define PROXY_H

#include <unistd.h>
#include <stdio.h>
#include <sys/socket.h>
#include <stdlib.h>
#include <netinet/in.h>
#include <arpa/inet.h>
#include <netdb.h>
#include <string.h>
#include <stdbool.h>

#include "request.h"
#include "response.h"
#include "webserver.h"

Response *upstreamGetResponse(Request *request);

void proxyRequest(Request *request, int client);

#endif /* ifndef PROXY_H */
